package com.ho.business.mapper;


import com.ho.business.entity.Convert;
import com.ho.business.vo.req.colCount.ColCountReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author yy
* @description 针对表【convert】的数据库操作Mapper
* @createDate 2023-07-11 15:12:50
* @Entity entity.Convert
*/
@Mapper
public interface ConvertMapper {

    List<Convert> selectByStationIdAndCol(Integer stationId, String col);

    void insertSelective(Convert vo);

    void delete(Integer id);

    List<Convert> selectByParam(ColCountReq vo);

    List<String> selectByCols(Integer stationId,Integer srcId, List<String> cols);
}




